libcamera v0.7.2 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
value_node.h File Reference

Data structure to manage tree of values. More...

`#include <initializer_list>`
`#include <iterator>`
`#include <map>`
`#include <memory>`
`#include <optional>`
`#include <string>`
`#include <string_view>`
`#include <type_traits>`
`#include <utility>`
`#include <vector>`
`#include <libcamera/base/class.h>`
Include dependency graph for value_node.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | libcamera::ValueNode
| A class representing a tree structure of values. More...

## Namespaces
namespace | libcamera
| Top-level libcamera namespace.

## Detailed Description

Data structure to manage tree of values.